TechDraw CosmeticVertex: Difference between revisions

From FreeCAD Documentation
(previous update)
m ([[ | ]])
Line 15: Line 15:
|Name=TechDraw CosmeticVertex
|Name=TechDraw CosmeticVertex
|MenuLocation=TechDraw → Add Vertices → Add Cosmetic Vertex
|MenuLocation=TechDraw → Add Vertices → Add Cosmetic Vertex
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw Module|TechDraw]]https://www.freecadweb.org/wiki/TechDraw_CosmeticVertex
|SeeAlso=[[TechDraw_Midpoints|Add Midpoint Vertices]], [[TechDraw Quadrant]]
|SeeAlso=[[TechDraw_Midpoints|Add Midpoint Vertices]], [[TechDraw Quadrant|TechDraw Quadrant]]
|Version=0.19
|Version=0.19
}}
}}

Revision as of 20:57, 2 February 2020

TechDraw CosmeticVertex

Menu location
TechDraw → Add Vertices → Add Cosmetic Vertex
Workbenches
TechDrawhttps://www.freecadweb.org/wiki/TechDraw_CosmeticVertex
Default shortcut
None
Introduced in version
0.19
See also
Add Midpoint Vertices, TechDraw Quadrant

Description

The Cosmetic Vertex tool adds a Vertex, which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for dimensioning.

Cosmetic Vertex used to create an otherwise impossible Dimension

How to use

  1. Press the Add Cosmetic Vertex button
  2. A Task dialog will open. The dialog allows selection of the location of the Cosmetic Vertex though the use of a "point picker" or by entering coordinates. The coordinates are the position within the View relative to the View center.
  3. The Pick points button starts a "point picker". Once a location is selected a small circle will appear. The Cosmetic Vertex will be added once the "OK" button is pressed.
  4. To exit the "point picker" without creating a Cosmetic Vertex, press the "Escape picking" button in the dialog.


Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are available to macros or the Python console.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)